URGENT: WordPress 2.8.4 Upgrades

Via multiple sources it is reported that sites running versions of WordPress prior to the latest version, WordPress 2.8.4, are under attack and to protect yourself, all WordPress installs should be upgraded as soon as possible.

Please contact us and purchase a WordPress upgrade if you need assistance installing or upgrading to WordPress 2.8.4.

Speak Your Mind

*

Rss Feed Tweeter button Linkedin button Delicious button Digg button Stumbleupon button